%define major   0
%define libname %mklibname osmodsp %{major}
%define devname %mklibname osmodsp -d
%define uname   Osmo-DSP

Name:             libosmo-dsp
Summary:          A library with SDR DSP primitives
Version:          0.4.0
Release:          %mkrel 4
License:          GPLv2+
Group:            Communications/Radio
URL:              https://cgit.osmocom.org/libosmo-dsp/
# git clone git://git.osmocom.org/libosmo-dsp && cd libosmo-dsp
# git checkout %%{version} && cd ..
# tar --exclude='.git' -cjf libosmo-dsp-%%{version}.tar.bz2 libosmo-dsp/
Source0:          %{name}-%{version}.tar.bz2

BuildRequires:    autoconf
BuildRequires:    automake
BuildRequires:    libtool
BuildRequires:    pkgconfig(fftw3)
BuildRequires:    doxygen
BuildRequires:    graphviz

%description
A library with SDR DSP primitives.

%package -n %{libname}
Summary:          A library with SDR DSP primitives
Group:            Communications/Radio
Obsoletes:        %{_lib}libosmo-dsp0 < 0.3-3

%description -n %{libname}
Library files for libosmo-dsp.

%package -n %{devname}
Summary:          Development files for libosmo-dsp
Group:            Communications/Radio
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}
Provides:         osmo-dsp-devel = %{version}-%{release}
Obsoletes:        %{_lib}libosmo-dsp-devel < 0.3-3

%description -n %{devname}
Development files for libosmo-dsp.

%package doc
Summary:          Documentation for osmo-dsp
Group:            Documentation
BuildArch:        noarch

%description doc
HTML documentation for osmo-dsp.

%prep
%setup -q -n %{name}

%build
autoreconf -fi
%configure --disable-static

%make_build LDFLAGS="${LDFLAGS} -lm"

%install
%make_install

# remove libtool
find %{buildroot} -name '*.la' -delete

# fix docs location
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_datadir}/doc/libosmodsp %{buildroot}%{_docdir}/%{name}/html

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=%{uname} Documentation
GenericName=%{uname} Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

%files -n %{libname}
%doc AUTHORS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/osmocom
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%dir %{_docdir}/%{name}/html
%{_docdir}/%{name}/html/*
%{_datadir}/applications/%{name}-doc.desktop


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.4.0-4.mga10
+ Revision: 2213289
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1837624
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1522610
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 31 2019 barjac <barjac> 0.4.0-1.mga7
+ Revision: 1362003
- version 0.4.0 (use version minor)

* Mon Jan 28 2019 barjac <barjac> 0.4-1.mga7
+ Revision: 1361524
- new version 0.4

* Sun Sep 23 2018 umeabot <umeabot> 0.3-4.mga7
+ Revision: 1299076
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 daviddavid <daviddavid> 0.3-3.mga7
+ Revision: 1239157
- fix lib and devel pkg name

* Tue Feb 09 2016 umeabot <umeabot> 0.3-2.mga6
+ Revision: 952140
- Mageia 6 Mass Rebuild

* Fri Jan 16 2015 barjac <barjac> 0.3-1.mga5
+ Revision: 811015
- Adapt for Mageia
- Import lisosmo-dsp with thanks to Fedora


* Wed Aug 20 2014 dl8fcl@darc.de
- Package renamed to libosmo-dsp
* Wed Oct 30 2013 lnt-sysadmin@lists.lrz.de
- Add BuildRequires: texlive-latex to build some documentation
* Sun Aug 11 2013 dl8fcl@darc.de
- import into build service
